in scala
object Math

`object` Math
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The object `Math` contains methods for performing basic numeric operations such as the elementary exponential, logarithm, square root, and trigonometric functions.

Constructor Summary
| `def` this

Val Summary
| `val` E : scala.Double The `double` value that is closer than any other to `e`, the base of the natural logarithms.
| `val` Pi : scala.Double The `double` value that is closer than any other to `pi`, the ratio of the circumference of a circle to its diameter.

Def Summary
| `def` IEEEremainder (x: scala.Double, y: scala.Double) : scala.Double
| `def` abs (x: scala.Double) : scala.Double
| `def` abs (x: scala.Float) : scala.Float
| `def` abs (x: scala.Int) : scala.Int
| `def` abs (x: scala.Long) : scala.Long
| `def` acos (x: scala.Double) : scala.Double
| `def` asin (x: scala.Double) : scala.Double
| `def` atan (x: scala.Double) : scala.Double
| `def` atan2 (x: scala.Double, y: scala.Double) : scala.Double Converts rectangular coordinates `(x, y)` to polar `(r, theta)`.
| `def` ceil (x: scala.Double) : scala.Double
| `def` cos (x: scala.Double) : scala.Double
| `def` exp (x: scala.Double) : scala.Double Returns Euler's number `e` raised to the power of a `double` value.
| `def` floor (x: scala.Double) : scala.Double
| `def` log (x: scala.Double) : scala.Double
| `def` max (x: scala.Double, y: scala.Double) : scala.Double
| `def` max (x: scala.Float, y: scala.Float) : scala.Float
| `def` max (x: scala.Int, y: scala.Int) : scala.Int
| `def` max (x: scala.Long, y: scala.Long) : scala.Long
| `def` min (x: scala.Double, y: scala.Double) : scala.Double
| `def` min (x: scala.Float, y: scala.Float) : scala.Float
| `def` min (x: scala.Int, y: scala.Int) : scala.Int
| `def` min (x: scala.Long, y: scala.Long) : scala.Long
| `def` pow (x: scala.Double, y: scala.Double) : scala.Double Returns the value of the first argument raised to the power of the second argument.
| `def` random : scala.Double Returns a `double` value with a positive sign, greater than or equal to `0.0` and less than `1.0`.
| `def` rint (x: scala.Double) : scala.Double Returns the `double` value that is closest in value to the argument and is equal to a mathematical integer.
| `def` round (x: scala.Double) : scala.Long
| `def` round (x: scala.Float) : scala.Int Returns the closest `long` to the argument.
| `def` sin (x: scala.Double) : scala.Double
| `def` sqrt (x: scala.Double) : scala.Double
| `def` tan (x: scala.Double) : scala.Double
| `def` toDegrees (x: scala.Double) : scala.Double Converts an angle measured in radians to an approximately equivalent angle measured in degrees.
| `def` toRadians (x: scala.Double) : scala.Double Converts an angle measured in degrees to an approximately equivalent angle measured in radians.

Constructor Detail

`def` this

Val Detail

`val` E : scala.Double

  The `double` value that is closer than any other to `e`, the base of the natural logarithms.

`val` Pi : scala.Double

  The `double` value that is closer than any other to `pi`, the ratio of the circumference of a circle to its diameter.

Def Detail

`def` IEEEremainder (x: scala.Double, y: scala.Double): scala.Double

`def` abs (x: scala.Double): scala.Double

`def` abs (x: scala.Float): scala.Float

`def` abs (x: scala.Int): scala.Int

`def` abs (x: scala.Long): scala.Long

`def` acos (x: scala.Double): scala.Double

`def` asin (x: scala.Double): scala.Double

`def` atan (x: scala.Double): scala.Double

`def` atan2 (x: scala.Double, y: scala.Double): scala.Double

  Converts rectangular coordinates `(x, y)` to polar `(r, theta)`.

Parameters:
  `x -` the ordinate coordinate
Parameters:
  `y -` the abscissa coordinate
Returns:
  the theta component of the point `(r, theta)` in polar coordinates that corresponds to the point `(x, y)` in Cartesian coordinates.

`def` ceil (x: scala.Double): scala.Double

`def` cos (x: scala.Double): scala.Double

`def` exp (x: scala.Double): scala.Double

  Returns Euler's number `e` raised to the power of a `double` value.

Parameters:
  `x -` the exponent to raise `e` to.
Returns:
  the value `ea`, where `e` is the base of the natural logarithms.

`def` floor (x: scala.Double): scala.Double

`def` log (x: scala.Double): scala.Double

`def` max (x: scala.Double, y: scala.Double): scala.Double

`def` max (x: scala.Float, y: scala.Float): scala.Float

`def` max (x: scala.Int, y: scala.Int): scala.Int

`def` max (x: scala.Long, y: scala.Long): scala.Long

`def` min (x: scala.Double, y: scala.Double): scala.Double

`def` min (x: scala.Float, y: scala.Float): scala.Float

`def` min (x: scala.Int, y: scala.Int): scala.Int

`def` min (x: scala.Long, y: scala.Long): scala.Long

`def` pow (x: scala.Double, y: scala.Double): scala.Double

  Returns the value of the first argument raised to the power of the second argument.

Parameters:
  `x -` the base.
Parameters:
  `y -` the exponent.
Returns:
  the value `xy`.

`def` random : scala.Double

  Returns a `double` value with a positive sign, greater than or equal to `0.0` and less than `1.0`.

`def` rint (x: scala.Double): scala.Double

  Returns the `double` value that is closest in value to the argument and is equal to a mathematical integer.

Parameters:
  `x -` a `double` value
Returns:
  the closest floating-point value to a that is equal to a mathematical integer.

`def` round (x: scala.Double): scala.Long

`def` round (x: scala.Float): scala.Int

  Returns the closest `long` to the argument.

Parameters:
  `x -` a floating-point value to be rounded to a `long`.
Returns:
  the value of the argument rounded to the nearest `long` value.

`def` sin (x: scala.Double): scala.Double

`def` sqrt (x: scala.Double): scala.Double

`def` tan (x: scala.Double): scala.Double

`def` toDegrees (x: scala.Double): scala.Double

  Converts an angle measured in radians to an approximately equivalent angle measured in degrees.

Parameters:
  `x -` angle, in radians
Returns:
  the measurement of the angle `x` in degrees.

`def` toRadians (x: scala.Double): scala.Double

  Converts an angle measured in degrees to an approximately equivalent angle measured in radians.

Parameters:
  `x -` an angle, in degrees
Returns:
  the measurement of the angle `x` in radians.